<html>

<head>

    <style>
        #fondo {
            background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
            height: 100vh;
            width: 100%;
            background-size: cover;
            background-repeat: no repeat;
            background-position: center;
            background-attachment: fixed;
            padding: 20px;
            margin: auto;

        }
    </style>
</head>

<body>
    <div id="fondo">
        <div style="text-align: right" style="float: right">
            <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png" class="izquierda"></h2>
        </div>
        <h1> </h1>
        <h1 class="test1">RESPUESTA</h1>
        <hr class="bordes" />
        <div class="row ">

            <p-table class="ex2" #dt [columns]="cols" [value]="respuestas" [paginator]="true"
                (onRowSelect)="onRowSelect($event)" [rows]="10" [filterDelay]="400" selectionMode="single"
                [(selection)]="respuestaseleccionado" dataKey="idRespuesta"
                [style]="{'margin-left':'40px'}">
                <ng-template pTemplate="caption">
                    Mdulos
                </ng-template>
                <ng-template pTemplate="caption">
                    <div style="text-align: right">
                        <i class="fa fa-search" style="margin:6px 6px 0 0"></i>
                        <input type="text" pInputText size="50" placeholder="Busqueda"
                            (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto" />
                    </div>
                </ng-template>
                <ng-template pTemplate="header" let-columns>
                    <tr>
                        <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                            {{ col.header }}
                            <p-sortIcon [field]="col.field"></p-sortIcon>
                        </th>
                    </tr>
                </ng-template>

                <ng-template pTemplate="body" let-rowData let-columns="columns">
                    <tr [pSelectableRow]="rowData">
                        <td *ngFor="let col of columns">
                            <span *ngIf="(col.field==='fechaExterna') " >{{ rowData[col.field] | date }}</span>
                            <span *ngIf="!((col.field==='fechaExterna'))"> {{ rowData[col.field] }}</span> 
                                          
                        </td>
                    </tr>
                </ng-template>
                <ng-template pTemplate="summary" let-rowData>
                    <div style="text-align:right">
                        <button type="button" pButton icon="fa fa-plus" (click)="showDialogToAdd()"
                            label="Nuevo"></button>
                        <button type="button" pButton icon="fa fa-trash" (click)="borrar(idRespuesta)"
                            label="Borrar"></button>
                        <button type="button" pButton icon="fa fa-edit" (click)="showDialogToEdit()"
                            label="Editar"></button>
                              <button type="button"  pButton icon="fa fa-edit" (click)="generarSolicitud()"
                            label="Generar"></button>
                        <!-- <button type="button" pButton icon="fa fa-refresh" (click)="listar()"
                        label="Actualizar">Actualizar</button> -->

                    </div>
                </ng-template>
            </p-table>
               <p-dialog header="RESPUESTA" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"
                 [style]="{ width: '400px' }">
       

        <div class="col-md-8 mt-4">
            <form #form="ngForm" *ngIf="respuestaestudiante">

                       <div class="form-group">
                        <label for="" class="col-form-label-sm">Fecha:</label>
                            
                            <div class="calender">
                              <p-calendar  name="fechaExterna " #fechaExterna="ngModel" required [(ngModel)]="respuestaestudiante.fechaExterna" 
                            [(ngModel)]="date5" dateFormant='dd/mm/yy'  [showIcon]="true" inputId="icon"></p-calendar>
                               </div >
                                    
                            <h6 *ngIf="fechaExterna.hasError('required') && fechaExterna.touched" class="input-error">Campo obligatorio</h6>
                        </div>
                      <div class="form-group">
                            <label for="" class="col-form-label-sm">Nombres:</label>
                            <input type="text" required class="form-control "
                                placeholder="Datos del estudiante" name="nombre" #nombre="ngModel"
                                required [(ngModel)]="respuestaestudiante.nombre" />
                            <h6 *ngIf="nombre.hasError('required') && nombre.touched" class="input-error">Campo
                                obligatorio
                            </h6>
                        </div>
                        <div class="form-group">
                            <label for="tutorempresarial">
                                     Empresa:</label>
                            
                         <p-dropdown   #mySelect="ngModel" [options]="this.tutorempresariales"  name="mySelect" placeholder="Seleccione la Empresa" 
                         overlayVisible="true" [filter]="true" [showClear]="true" 
                         [ngModelOptions]="{standalone: true}" optionLabel="empresas.nombre" [(ngModel)]="respuestaestudiante.tutorempresarial"></p-dropdown>
                        </div>   
                                  <div class="form-group">
                        
                                        <label for="tutorempresarial">
                                                    NombreTutor:
                                                    
                                         </label>
                                        <p-dropdown  name="mISelect" #mySelect="ngModel" [options]="this.tutorempresariales"
                                                placeholder="Seleccione Tutor de la Empresa" overlayVisible="true" 
                                         [ngModelOptions]="{standalone: true}" optionLabel="nombre" 
                                         [(ngModel)]="respuestaestudiante.tutorempresarial">
                                        </p-dropdown >
                                     <!--<h6 *ngIf="tutorempresarial.hasError('required') && tutorempresarial.touched" class="input-error">Campo obligatorio
                                     </h6>-->
                                 </div>
                                <div class="form-group">
                        
                                        <label for="solicitudempresa">
                                                    ApellidoTutor:
                                                    
                                                </label>
                                                <p-dropdown  name="mISelect" #mySelect="ngModel" [options]="this.tutorempresariales"
                                                placeholder="Seleccione Tutor de la Empresa" overlayVisible="true" 
                                    [ngModelOptions]="{standalone: true}" optionLabel="apellido" 
                                    [(ngModel)]="respuestaestudiante.tutorempresarial">
                                        </p-dropdown >
                                    <!--<h6 *ngIf="tutorempresarial.hasError('required') && tutorempresarial.touched" class="input-error">Campo obligatorio
                                    </h6>-->
                                </div>          
                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Horas Realizar:</label>
                            <input type="text" required class="form-control "
                                placeholder="Ingrese horas a realizar" name="horas" #horas="ngModel"
                                required [(ngModel)]="respuestaestudiante.horas" />
                            <h6 *ngIf="horas.hasError('required') && horas.touched" class="input-error">Campo
                                obligatorio
                            </h6>
                        </div>
                <div class="text-center form-row justify-content-around">
                    <div class="col-5">
                        <button class="btn btn-danger" (click)="cerrar()">Cancelar</button>
                    </div>
                    <div class="col-5">
                        <button class="btn btn-success" [disabled]="form.invalid"
                            (click)="btnGuardar()">Guardar</button>
                    </div>
                </div>
            </form>
        </div>
    </p-dialog>
        </div>
</div>
</body>
</html>
